Description

(Even just turning off a hypervisor seems to cause issues).

In this case, I've rebuilt the hypervisor. I'd like to destroy the old VMs from foreman.  Clicking "host -> delete" ends with this stack

track.  Unmanaging the node doesn't seem to help.

NoMethodError

undefined method `connect' for nil:NilClass

/usr/share/foreman/app/models/orchestration/libvirt.rb:51:in `queue_libvirt_destroy'

/usr/share/foreman/app/models/orchestration.rb:63:in `destroy'

/usr/share/foreman/app/controllers/hosts_controller.rb:116:in `destroy'

Foreman v0.4.1

History

#1 - 02/22/2012 10:54 AM - Adrian Bridgett

Hmm, bizarely it's now working.  I've trying from the "all hosts" screen rather than the "host foo -> delete" screen this time.

#2 - 11/15/2012 10:42 AM - Benjamin Papillon

- Tracker changed from Bug to Feature

- Subject changed from fails when hypervisor has gone away to fails gracefully when hypervisor has gone away

Aside from using computer ressources instead of Hypervisor code, try to get a graceful error when hypervisor/computer ressource is not available

#3 - 02/29/2016 11:26 AM - Greg Sutcliffe

- Description updated

- Status changed from New to Resolved

You can now disassociate a vm from it's hypervisor in the edit page, which then allows you to delete it without the htpervisor being present. As such, I

think we can close this - do re-open if you still see issues.
